SystemOrganization addCategory: #Tamagotchi!
SystemOrganization addCategory: #'Tamagotchi-Tests'!

TestCase subclass: #EstadoAburridoTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi-Tests'!

!EstadoAburridoTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:08'!
testEstaContenta

	| estado |
	estado := EstadoAburrido new.
	self assert: (estado contento = false).! !

TestCase subclass: #EstadoContentoTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi-Tests'!

!EstadoContentoTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:14'!
testEstaContenta

	| estado |
	estado := EstadoContento  new.
	self assert: (estado contento = true).! !

TestCase subclass: #EstadoHambrientoTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi-Tests'!

!EstadoHambrientoTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:17'!
testEstaContenta

	| estado |
	estado := EstadoHambriento  new.
	self assert: (estado contento = false).! !

TestCase subclass: #TamagotchiTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi-Tests'!

!TamagotchiTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:26'!
testAlimentacionAburridoMasDeOchenta
	| tamagotchi niv |
	tamagotchi := Tamagotchi new.
	tamagotchi fijarestado: EstadoAburrido new.
	tamagotchi esperar: 81.
	tamagotchi alimentar.
	self assert: (tamagotchi estacontenta).! !

!TamagotchiTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:43'!
testAlimentacionAburridoMenosDeOchentaMin
	| tamagotchi niv estado |
	tamagotchi := Tamagotchi new.
	estado := EstadoAburrido new.
	tamagotchi fijarestado: estado.
	tamagotchi esperar: 80.
	tamagotchi alimentar.
	self assert: (tamagotchi estado = estado).! !

!TamagotchiTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:26'!
testAlimentacionContento
	| tamagotchi niv |
	tamagotchi := Tamagotchi new.
	tamagotchi fijarestado: EstadoContento new.
	niv := tamagotchi nivel + 1.
	tamagotchi alimentar.
	self assert: (tamagotchi nivel = niv).! !

!TamagotchiTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:27'!
testAlimentacionHambriento
	| tamagotchi |
	tamagotchi:= Tamagotchi new.
	tamagotchi fijarestado: EstadoHambriento new.
	tamagotchi alimentar.
	self assert: (tamagotchi estacontenta).! !

!TamagotchiTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:25'!
testJugarAburrido
	| tamagotchi niv |
	tamagotchi := Tamagotchi new.
	tamagotchi fijarestado: EstadoAburrido new.
	tamagotchi jugar.
	self assert: (tamagotchi estacontenta).! !

!TamagotchiTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:25'!
testJugarContento
	| tamagotchi niv |
	tamagotchi := Tamagotchi new.
	tamagotchi fijarestado: EstadoContento new.
	niv := tamagotchi nivel + 2.
	tamagotchi jugar.
	self assert: (tamagotchi nivel = niv).! !

!TamagotchiTest methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 21:47'!
testJugarHambriento
	| tamagotchi niv estado |
	tamagotchi := Tamagotchi new.
	estado:= EstadoHambriento new.
	tamagotchi fijarestado: estado.
	tamagotchi jugar.
	self assert: (tamagotchi estado = estado).! !

Object subclass: #EstadoAburrido
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi'!

!EstadoAburrido methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 20:54'!
alimentar: aTamagotchi 
	 (aTamagotchi  tiempoestado > 80)
		ifTrue: [aTamagotchi fijarestado: EstadoContento new].! !

!EstadoAburrido methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 21:09'!
contento
	^false.! !

!EstadoAburrido methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 21:02'!
jugar: aTamagotchi 
	aTamagotchi fijarestado: EstadoContento new.! !

Object subclass: #EstadoContento
	instanceVariableNames: 'tiempo nivel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi'!

!EstadoContento methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 20:46'!
alimentar: aTamagotchi 
	aTamagotchi aumentanivel: 1.! !

!EstadoContento methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 20:43'!
contento
	^true.! !

!EstadoContento methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 21:00'!
jugar: aTamagotchi 
	aTamagotchi aumentanivel: 2.! !

Object subclass: #EstadoHambriento
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi'!

!EstadoHambriento methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 20:34'!
alimentar: mascota
	mascota fijarestado: EstadoContento new.! !

!EstadoHambriento methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 21:18'!
contento
	^false.! !

!EstadoHambriento methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 21:02'!
jugar: aTamagotchi 
	.! !

Object subclass: #Tamagotchi
	instanceVariableNames: 'niv tiempoestado estado'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tamagotchi'!

!Tamagotchi methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 20:35'!
alimentar
	estado alimentar: self .! !

!Tamagotchi methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 20:47'!
aumentanivel: aSmallInteger 
	niv:= niv + aSmallInteger .! !

!Tamagotchi methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 15:28'!
esperar: aSmallInteger 
	tiempoestado := tiempoestado + aSmallInteger.! !

!Tamagotchi methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 20:37'!
estacontenta
	^(estado contento).! !

!Tamagotchi methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 21:43'!
estado
	^ estado! !

!Tamagotchi methodsFor: 'updating' stamp: 'MartnPerazzo 9/4/2012 20:21'!
fijarestado: aByteString 
	estado := aByteString.
	tiempoestado := 0.! !

!Tamagotchi methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 21:41'!
fijarestado: anEstadoAburrido esperar: aSmallInteger 
	self shouldBeImplemented.! !

!Tamagotchi methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 20:21'!
initialize 
	niv := 1.
	estado := EstadoAburrido new.
	tiempoestado := 0.! !

!Tamagotchi methodsFor: 'as yet unclassified' stamp: 'MartnPerazzo 9/4/2012 20:59'!
jugar
	estado jugar: self.! !

!Tamagotchi methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 15:10'!
nivel
	^niv.! !

!Tamagotchi methodsFor: 'evaluating' stamp: 'MartnPerazzo 9/4/2012 20:53'!
tiempoestado
	^ tiempoestado! !
